Grants, vesting & distributions
Get Upcoming Settlement Events
Returns the org's upcoming settlement events with status/type filters and awaiting totals via distributionService.
Not available to API keys yet. It will need grants:read.
curl --request POST \
--url 'https://api.toku.com/tga/get-upcoming-settlement-events' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"eventTypes": [],
"statuses": [],
"grantName": "string",
"recipientName": "string"
}'{
"settlementEvents": [
{
"vestingID": "string",
"settlementDate": "string",
"status": "Vesting Pending",
"eventType": "Vesting",
"amount": "string",
"grantName": "string",
"grantID": "string",
"recipientName": "string",
"roleInOrgID": "string",
"roleInOrgExternalID": 0,
"fmv": "string"
}
],
"tokensAwaitingSettlementFromVestings": "string",
"tokensToBeSettledInTheTimePeriodFromVestings": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
eventTypesany[]statusesany[]grantNamestringrecipientNamestringResponse
200Successful response
settlementEventsobject[]requiredShow child attributes
vestingIDstringrequiredsettlementDatestringrequiredstatusstringrequiredAvailable options: Vesting Pending, Tax Pending, Settlement Pending, Settled
eventTypestringrequiredAvailable options: Vesting, Unlock, Option Exercise
amountstringrequiredAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
grantNamestringrequiredgrantIDstringrequiredrecipientNamestringrequiredroleInOrgIDstringrequiredroleInOrgExternalIDnumberrequiredfmvstring | nullAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
tokensAwaitingSettlementFromVestingsstringrequiredAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
tokensToBeSettledInTheTimePeriodFromVestingsstringrequiredAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$